Debian Bug report logs - #593607
source not erased when moving across filesystems

version graph

Package: src:libfm; Maintainer for src:libfm is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>;

Reported by: Renaud Lacour <renaud@home-dn.net>

Date: Thu, 19 Aug 2010 16:06:02 UTC

Severity: normal

Tags: fixed, fixed-upstream, patch, squeeze-ignore, upstream

Found in version libfm/0.1.17-2.1

Fixed in version libfm/1.1.1-1

Done: Bob Bib <bobbibmpn@mail.ua>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3565792&group_id=156956&atid=801864

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Thu, 19 Aug 2010 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Renaud Lacour <renaud@home-dn.net>:
New Bug report received and forwarded. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Thu, 19 Aug 2010 16:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Renaud Lacour <renaud@home-dn.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pcmanfm wrongly deleted some files in a failed move operation
Date: Thu, 19 Aug 2010 17:57:30 +0200
Package: pcmanfm
Version: 0.9.7-1
Severity: critical
Tags: upstream
Justification: causes serious data loss

During a move operation, the hard drive of the destination filesystem
encountered a power failure. Although not all relevant files were
copied, pcmanfm deleted all of them!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pcmanfm depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-5   The Cairo 2D vector graphics libra
ii  libfm-gtk0                    0.1.12-1   file management support - GTK+ GUI
ii  libfm0                        0.1.12-1   file management support - core lib
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.28.1-1   Layout and rendering of internatio
ii  libx11-6                      2:1.3.3-3  X11 client-side library

Versions of packages pcmanfm recommends:
ii  gnome-icon-theme              2.22.0-1   GNOME Desktop icon theme
ii  gvfs-backends                 1.6.3-1    userspace virtual filesystem - bac
pn  gvfs-fuse                     <none>     (no description available)

pcmanfm suggests no packages.

-- no debconf information




Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3052037&group_id=156956&atid=801864'. Request was from Andrew Lee (李健秋) <ajqlee@debian.org> to control@bugs.debian.org. (Tue, 24 Aug 2010 05:39:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 30 Aug 2010 16:39:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Tue, 30 Nov 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Tue, 30 Nov 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #14 received at 593607@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 593607@bugs.debian.org
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Tue, 30 Nov 2010 15:54:55 +0100
Hi maitainers!

* Renaud Lacour <renaud@home-dn.net> [100819 17:57]:

> During a move operation, the hard drive of the destination filesystem
> encountered a power failure. Although not all relevant files were
> copied, pcmanfm deleted all of them!

Could you please update the status of this bug?  As you surely know it
is release critical and we are in a freeze...

I'm also a bit confussed, as upstream claiming on 2010-08-27 this bug
would have been fixed, while the upload of a new upstream release
0.9.8-1 two month later didn't say anything about this bug...


Best Regards,
  Alexander




Reply sent to Andrew Lee <ajqlee@debian.org>:
You have taken responsibility. (Wed, 01 Dec 2010 09:15:04 GMT) Full text and rfc822 format available.

Notification sent to Renaud Lacour <renaud@home-dn.net>:
Bug acknowledged by developer. (Wed, 01 Dec 2010 09:15:04 GMT) Full text and rfc822 format available.

Message #19 received at 593607-done@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: 593607-done@bugs.debian.org
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Wed, 01 Dec 2010 17:13:02 +0800
Hi,

Thanks Alexander for the reminder. Since there is no response and we are
in a freeze status. I assume this has been fixed, and close this bug now.

Please feel free to reopen it if you can reproduct this problem still.

-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Wed, 01 Dec 2010 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Wed, 01 Dec 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 593607@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Andrew Lee <ajqlee@debian.org>
Cc: 593607@bugs.debian.org
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Wed, 01 Dec 2010 10:21:25 +0100
fixed 593607 0.9.8-1
thanks


Hi Andrew!

Am 01.12.2010 10:13, schrieb Andrew Lee:

> Thanks Alexander for the reminder. Since there is no response and we are
> in a freeze status. I assume this has been fixed, and close this bug now.

Fine, fine.  I also marked the current version in sid as not affected by
this bug.  Can you please ask the release team for an unblock?


> Please feel free to reopen it if you can reproduct this problem still.

Sorry, but I don't use pcmanfm myself; I'm just a rc bug hunter
stumbling over this bug.


Best regards,
  Alexander




Bug Marked as fixed in versions pcmanfm/0.9.8-1. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 09:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Sun, 05 Dec 2010 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Sun, 05 Dec 2010 21:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 593607@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Alexander Reichle-Schmehl <tolimar@debian.org>, 593607@bugs.debian.org
Cc: Andrew Lee <ajqlee@debian.org>, pcmanfm@packages.qa.debian.org
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Sun, 05 Dec 2010 22:13:24 +0100
On 12/01/2010 10:21 AM, Alexander Reichle-Schmehl wrote:
> 
> Am 01.12.2010 10:13, schrieb Andrew Lee:
> 
>> Thanks Alexander for the reminder. Since there is no response and 
>> we are in a freeze status. I assume this has been fixed, and close 
>> this bug now.
> 
> Fine, fine.  I also marked the current version in sid as not
> affected by this bug.  Can you please ask the release team for an
> unblock?
> 

I'm not sure we could accept this version since it's a bit large and
depends on a newer libfm, which is also large.

The best plan seems to be to prepare a fixed version with minimal
changes to upload via t-p-u.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Mon, 06 Dec 2010 01:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Mon, 06 Dec 2010 01:00:02 GMT) Full text and rfc822 format available.

Message #36 received at 593607@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: Mehdi Dogguy <mehdi@debian.org>
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>, 593607@bugs.debian.org, pcmanfm@packages.qa.debian.org
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Mon, 06 Dec 2010 08:56:49 +0800
On 2010年12月06日 05:13, Mehdi Dogguy wrote:
> On 12/01/2010 10:21 AM, Alexander Reichle-Schmehl wrote:
>>
>> Am 01.12.2010 10:13, schrieb Andrew Lee:
>>
>>> Thanks Alexander for the reminder. Since there is no response and 
>>> we are in a freeze status. I assume this has been fixed, and close 
>>> this bug now.
>>
>> Fine, fine.  I also marked the current version in sid as not
>> affected by this bug.  Can you please ask the release team for an
>> unblock?
>>
> 
> I'm not sure we could accept this version since it's a bit large and
> depends on a newer libfm, which is also large.

Both newer version of libfm and pcmanfm are bug fixes release from
upstream. Would this be an exception, please?

-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Mon, 06 Dec 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Mon, 06 Dec 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 593607@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Andrew Lee <ajqlee@debian.org>
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>, 593607@bugs.debian.org
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Mon, 06 Dec 2010 09:58:20 +0100
On 12/06/2010 01:56 AM, Andrew Lee wrote:
> On 2010年12月06日 05:13, Mehdi Dogguy wrote:
>> On 12/01/2010 10:21 AM, Alexander Reichle-Schmehl wrote:
>>> 
>>> Am 01.12.2010 10:13, schrieb Andrew Lee:
>>> 
>>>> Thanks Alexander for the reminder. Since there is no response
>>>> and we are in a freeze status. I assume this has been fixed,
>>>> and close this bug now.
>>> 
>>> Fine, fine.  I also marked the current version in sid as not 
>>> affected by this bug.  Can you please ask the release team for
>>> an unblock?
>>> 
>> 
>> I'm not sure we could accept this version since it's a bit large
>> and depends on a newer libfm, which is also large.
> 
> Both newer version of libfm and pcmanfm are bug fixes release from 
> upstream. Would this be an exception, please?
> 

Sorry but those have big changes. I'm not sure that it's wise to accept
them at this stage of the freeze. I'd prefer targeted fixes.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Thu, 23 Dec 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Thu, 23 Dec 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #46 received at 593607@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mehdi Dogguy <mehdi@debian.org>, 593607@bugs.debian.org
Cc: Andrew Lee <ajqlee@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Thu, 23 Dec 2010 16:43:03 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec  6, 2010 at 09:58:20 +0100, Mehdi Dogguy wrote:

> On 12/06/2010 01:56 AM, Andrew Lee wrote:
> > Both newer version of libfm and pcmanfm are bug fixes release from 
> > upstream. Would this be an exception, please?
> > 
> 
> Sorry but those have big changes. I'm not sure that it's wise to accept
> them at this stage of the freeze. I'd prefer targeted fixes.
> 
ping?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Tue, 28 Dec 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Tue, 28 Dec 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 593607@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mehdi Dogguy <mehdi@debian.org>, 593607@bugs.debian.org
Cc: Andrew Lee <ajqlee@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Tue, 28 Dec 2010 19:42:34 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec 23, 2010 at 16:43:03 +0100, Julien Cristau wrote:

> On Mon, Dec  6, 2010 at 09:58:20 +0100, Mehdi Dogguy wrote:
> 
> > On 12/06/2010 01:56 AM, Andrew Lee wrote:
> > > Both newer version of libfm and pcmanfm are bug fixes release from 
> > > upstream. Would this be an exception, please?
> > > 
> > 
> > Sorry but those have big changes. I'm not sure that it's wise to accept
> > them at this stage of the freeze. I'd prefer targeted fixes.
> > 
> ping?
> 
If this doesn't get fixed very soon, we'll have to remove pcmanfm and
lxde-common from squeeze, as far as I can tell.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Wed, 29 Dec 2010 03:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Wed, 29 Dec 2010 03:42:04 GMT) Full text and rfc822 format available.

Message #56 received at 593607@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Mehdi Dogguy <mehdi@debian.org>, 593607@bugs.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Wed, 29 Dec 2010 11:39:16 +0800
On 2010年12月29日 02:42, Julien Cristau wrote:
>>> On 12/06/2010 01:56 AM, Andrew Lee wrote:
>>>> Both newer version of libfm and pcmanfm are bug fixes release from 
>>>> upstream. Would this be an exception, please?
>>>>
>>>
>>> Sorry but those have big changes. I'm not sure that it's wise to accept
>>> them at this stage of the freeze. I'd prefer targeted fixes.
>>>
>> ping?
>>
> If this doesn't get fixed very soon, we'll have to remove pcmanfm and
> lxde-common from squeeze, as far as I can tell.

I know 0.9.8 version have many changes. Cause upstream fixed this
problem and many others.

I'd suggest to accept 0.9.8 into squeeze, so that we can benifit from
many other distros which are using 0.9.8 version too.

-Andrew




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#593607; Package pcmanfm. (Thu, 30 Dec 2010 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Thu, 30 Dec 2010 15:36:03 GMT) Full text and rfc822 format available.

Message #61 received at 593607@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andrew Lee <ajqlee@debian.org>, 593607@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>
Subject: Re: Bug#593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Thu, 30 Dec 2010 16:34:24 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
tag 593607 squeeze-ignore
usertag 593607 squeeze-can-defer
kthxbye

On Wed, Dec 29, 2010 at 11:39:16 +0800, Andrew Lee wrote:

> On 2010年12月29日 02:42, Julien Cristau wrote:
> >>> On 12/06/2010 01:56 AM, Andrew Lee wrote:
> >>>> Both newer version of libfm and pcmanfm are bug fixes release from 
> >>>> upstream. Would this be an exception, please?
> >>>>
> >>>
> >>> Sorry but those have big changes. I'm not sure that it's wise to accept
> >>> them at this stage of the freeze. I'd prefer targeted fixes.
> >>>
> >> ping?
> >>
> > If this doesn't get fixed very soon, we'll have to remove pcmanfm and
> > lxde-common from squeeze, as far as I can tell.
> 
Actually, britney won't let me do that, since that would break the lxde
desktop task.  So tagging as can-defer, since I don't think it should be
a blocker.

> I know 0.9.8 version have many changes. Cause upstream fixed this
> problem and many others.
> 
> I'd suggest to accept 0.9.8 into squeeze, so that we can benifit from
> many other distros which are using 0.9.8 version too.
> 
If anything, the criteria now are stricter than they were when you were
told no the first time.  So this needs targetted fixes, I won't spend my
time reviewing the full 0.9.8 diff.  If there are other bugs you feel
should be fixed at the same time, that can be considered, but on a case
by case basis, not an all or nothing thing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 30 Dec 2010 15:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Tue, 19 Jun 2012 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bodo Wiswe <trigger@triggers-world.de>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Tue, 19 Jun 2012 11:15:04 GMT) Full text and rfc822 format available.

Message #68 received at 593607@bugs.debian.org (full text, mbox):

From: Bodo Wiswe <trigger@triggers-world.de>
To: 593607@bugs.debian.org
Subject: PCmanfm file deletion ver 0.9.10-3
Date: Tue, 19 Jun 2012 11:56:20 +0200
I can confirm this bug on pcmanfm ver 0.9.10-3 (debian testing). For 
some reason target device was unmounted, though not copied the 
source files were removed! Very not cool!




Changed Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3565792&group_id=156956&atid=801864' from 'https://sourceforge.net/tracker/?func=detail&aid=3052037&group_id=156956&atid=801864' Request was from "Andrej N. Gritsenko" <andrej@rep.kiev.ua> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Sat, 08 Sep 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrej N. Gritsenko" <andrej@rep.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sat, 08 Sep 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #75 received at 593607@bugs.debian.org (full text, mbox):

From: "Andrej N. Gritsenko" <andrej@rep.kiev.ua>
To: control@bugs.debian.org
Cc: 593607@bugs.debian.org
Subject: bug #593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Sat, 8 Sep 2012 20:00:29 +0300
forwarded 593607 https://sourceforge.net/tracker/?func=detail&aid=3565792&group_id=156956&atid=801864
thank you

This bug was a bit hard to reproduce as it didn't happen when moving just a bunch of files.
It also happened when no space left on destination device.
Fixed in upstream by commit f8441418b8c5087b266b60ed0bf02ee1645711f1 few moments ago.
Thank you.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Wed, 19 Sep 2012 04:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Baggett <jonas17b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 19 Sep 2012 04:45:03 GMT) Full text and rfc822 format available.


Message #80 received at 593607@bugs.debian.org (full text, mbox):

From: Jonas Baggett <jonas17b@gmail.com>
To: 593607@bugs.debian.org
Date: Wed, 19 Sep 2012 06:43:37 +0200
>> Both newer version of libfm and pcmanfm are bug fixes release from 
>> upstream. Would this be an exception, please?
>> 
>
> Sorry but those have big changes. I'm not sure that it's wise to accept
> them at this stage of the freeze. I'd prefer targeted fixes.

> I'd suggest to accept 0.9.8 into squeeze, so that we can benifit from
> many other distros which are using 0.9.8 version too.

To my experience pcmanfm 0.9.8 and especially 0.9.10 are very buggy, but 0.9.7 from stable is OK.
Almost every day I use 0.9.10, I encounter crashes. I think it is by far the most unstable programm
I am using right now. I upgraded pcmanfm in one of my computer to 1.0 a few days ago and I don't
have a lot of step back but it seems to work a lot better (no crash so far). It seems to me that
too much fixes are to be made to make 0.9.10 stable enough. If I remember well, 0.9.8 was not as
bad as 0.9.10 but its stability wasn't extraordinary either. Maybe the distros using 0.9.8 improved
it enough since that time to make it enough stable.

Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Wed, 19 Sep 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Baggett <jonas17b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 19 Sep 2012 05:06:03 GMT) Full text and rfc822 format available.


Message #85 received at 593607@bugs.debian.org (full text, mbox):

From: Jonas Baggett <jonas17b@gmail.com>
To: 593607@bugs.debian.org
Date: Wed, 19 Sep 2012 07:04:09 +0200
I did watch well the dates of the messages before answering, sorry :)

Anyway, I have the impression that for wheezy the best option is either to switch to 1.0, either
switch to a lower version that is known to be enough stable like 0.9.7 because it looks like a lot
of work is to be done on 0.9.10 to make it stable enough.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Wed, 03 Oct 2012 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrej N. Gritsenko" <andrej@rep.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 03 Oct 2012 14:39:04 GMT) Full text and rfc822 format available.


Message #90 received at 593607@bugs.debian.org (full text, mbox):

From: "Andrej N. Gritsenko" <andrej@rep.kiev.ua>
To: 593607@bugs.debian.org
Date: Wed, 3 Oct 2012 17:35:12 +0300
As main developer of pcmanfm in meantime I can say this bug isn't fixed
in any of 0.9.x series and will be fixed in next 1.0.2 release which is
scheduled to late October. Last release of 1.0.x series will be 1.0.3 I
think and that one should be the most featureful and bugfree version of
1.0.x series. 0.9.x series are unstable (there was few tens bugs in the
upstream bug tracker about crashes, freezes, and memory leaks addressed
0.9.x series that are fixed in 1.0.x series) but 1.0.x are stable. It's
too hard to get any of stable version into Wheezy at this stage, sorry.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Wed, 14 Nov 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Wed, 14 Nov 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #95 received at 593607@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: 593607@bugs.debian.org
Subject: Re: bug #593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Thu, 15 Nov 2012 03:34:43 +0400
[Message part 1 (text/plain, inline)]
control: reopen -1

Why not to reopen this bug if it hasn't been fixed yet? ;)
[Message part 2 (text/html, inline)]

Bug reopened Request was from Bob Bib <bobbibmpn@mail.ru> to 593607-submit@bugs.debian.org. (Wed, 14 Nov 2012 23:39:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions pcmanfm/0.9.8-1. Request was from Bob Bib <bobbibmpn@mail.ru> to 593607-submit@bugs.debian.org. (Wed, 14 Nov 2012 23:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Thu, 15 Nov 2012 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrej N. Gritsenko" <andrej@rep.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Thu, 15 Nov 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #104 received at 593607@bugs.debian.org (full text, mbox):

From: "Andrej N. Gritsenko" <andrej@rep.kiev.ua>
To: 593607@bugs.debian.org
Cc: lxde-debian@lists.lxde.org
Subject: Re: bug #593607: pcmanfm wrongly deleted some files in a failed move operation
Date: Thu, 15 Nov 2012 02:18:55 +0200
> Why not to reopen this bug if it hasn't been fixed yet? ;)

In fact, it's fixed in upstream. The reporter confirmed it is fixed.
And all commits for the fix are included in latest stable release of libfm and pcmanfm (1.1.0).
If reopening this bug gives a possibility for 1.1.0 to come into Wheezy then why not?
But I hardly doubt it is possible to gather all fixes for the subject and apply them on ancient libfm 0.1.17.
If you ask me I would never try that, I don't know which side effects will that cause,
because changing major number of upstream version sure was for reason,
and the diff between 0.1.17 and 1.1.0 is near 4MB while unpacked libfm tarball takes near 7MB.
May be it is still good for everyone to postpone fix to time after Wheezy release.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Sat, 17 Nov 2012 00:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sat, 17 Nov 2012 00:00:07 GMT) Full text and rfc822 format available.

Message #109 received at 593607@bugs.debian.org (full text, mbox):

From: Ulrik <ulrik.sverdrup@gmail.com>
To: 593607@bugs.debian.org
Subject: libfm
Date: Sat, 17 Nov 2012 00:57:28 +0100
I'm pretty sure the bug must exist in libfm, not pcmanfm itself. Libfm
implements widgets and also the filesystem operations.

I'll bet the error exists in the following place: the function
_fm_file_ops_job_copy_file  in the file
libfm-0.1.17/src/job/fm-file-ops-job-xfer.c

This function is 370 lines long and the comments mention several
unhandled corner cases.

How should this be resolved since it's an RC bug? Disable moving between
mountpoints? (only allowing copy?)

-ulrik



Information forwarded to debian-bugs-dist@lists.debian.org, renaud@home-dn.net, tolimar@debian.org, ajqlee@debian.org, andrej@rep.kiev.ua, ulrik.sverdrup@gmail.com, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package pcmanfm. (Tue, 01 Jan 2013 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas@debian.org>:
Extra info received and forwarded to list. Copy sent to renaud@home-dn.net, tolimar@debian.org, ajqlee@debian.org, andrej@rep.kiev.ua, ulrik.sverdrup@gmail.com, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Tue, 01 Jan 2013 00:18:04 GMT) Full text and rfc822 format available.

Message #114 received at 593607@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas@debian.org>
To: Debian Bug Tracking System <593607@bugs.debian.org>
Subject: Re: pcmanfm wrongly deleted some files in a failed move operation
Date: Tue, 1 Jan 2013 01:14:55 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #593607
Control: reassign -1 libfm 0.1.17-2
Control: affects -1 + pcmanfm
Control: tags -1 + fixed

On my computer, copying a huge directory to a small loop device...
 - triggers the bug with libfm-0.1.17-2
 - does not anymore with the attached patch
So Ulrik is right.
I consider his proposal as the best solution for wheezy.
May I NMU to unstable?
[libfm_0.1.17-2.1.diff (text/x-diff, attachment)]

Bug reassigned from package 'pcmanfm' to 'libfm'. Request was from Nicolas Boulenguez <nicolas@debian.org> to 593607-submit@bugs.debian.org. (Tue, 01 Jan 2013 00:18:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions pcmanfm/0.9.7-1. Request was from Nicolas Boulenguez <nicolas@debian.org> to 593607-submit@bugs.debian.org. (Tue, 01 Jan 2013 00:18:04 GMT) Full text and rfc822 format available.

Marked as found in versions 0.1.17-2. Request was from Nicolas Boulenguez <nicolas@debian.org> to 593607-submit@bugs.debian.org. (Tue, 01 Jan 2013 00:18:04 GMT) Full text and rfc822 format available.

Added indication that 593607 affects pcmanfm Request was from Nicolas Boulenguez <nicolas@debian.org> to 593607-submit@bugs.debian.org. (Tue, 01 Jan 2013 00:18:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed. Request was from Nicolas Boulenguez <nicolas@debian.org> to 593607-submit@bugs.debian.org. (Tue, 01 Jan 2013 00:18:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> to control@bugs.debian.org. (Wed, 02 Jan 2013 11:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package libfm. (Sat, 05 Jan 2013 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sat, 05 Jan 2013 20:15:03 GMT) Full text and rfc822 format available.

Message #131 received at 593607@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Nicolas Boulenguez <nicolas@debian.org>
Cc: 593607@bugs.debian.org, Ulrik <ulrik.sverdrup@gmail.com>, "Andrej N. Gritsenko" <andrej@rep.kiev.ua>, lxde-debian@lists.lxde.org, Bob Bib <bobbibmpn@mail.ru>, Jonas Baggett <jonas17b@gmail.com>, Bodo Wiswe <trigger@triggers-world.de>, Julien Cristau <jcristau@debian.org>, Mehdi Dogguy <mehdi@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>, Andrew Lee <ajqlee@debian.org>, pcmanfm@packages.qa.debian.org, Renaud Lacour <renaud@home-dn.net>
Subject: Re: pcmanfm wrongly deleted some files in a failed move operation
Date: Sat, 5 Jan 2013 21:10:01 +0100
Hi Nicolas,

> I consider his proposal as the best solution for wheezy.
> May I NMU to unstable?

Since no one has replied to your suggestion yet, I would suggest that
you make an NMU and upload it into DELAYED/10 which will give the
maintainers enough time for review.

This bug is a serious issue and an RC bug and should therefore not be
delayed too long.

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package libfm. (Sun, 06 Jan 2013 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sun, 06 Jan 2013 00:39:04 GMT) Full text and rfc822 format available.

Message #136 received at 593607@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: 593607@bugs.debian.org
Subject: libfm: diff for NMU version 0.1.17-2.1
Date: Sun, 6 Jan 2013 01:36:59 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #593607

Dear maintainer,

I've prepared an NMU for libfm (versioned as 0.1.17-2.1) and uploaded
it to DELAYED/10, hoping to
- ask a freeze exception for it, then
- retitle the bug to "source not erased when moving across filesystems" and
- lower its severity to "normal".

Please feel free to tell me if any of these steps should be canceled.

Regards.
[libfm-0.1.17-2.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package libfm. (Sun, 06 Jan 2013 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrej N. Gritsenko" <andrej@rep.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Sun, 06 Jan 2013 11:21:03 GMT) Full text and rfc822 format available.

Message #141 received at 593607@bugs.debian.org (full text, mbox):

From: "Andrej N. Gritsenko" <andrej@rep.kiev.ua>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: Nicolas Boulenguez <nicolas@debian.org>, 593607@bugs.debian.org, Ulrik <ulrik.sverdrup@gmail.com>, lxde-debian@lists.lxde.org, Bob Bib <bobbibmpn@mail.ru>, Jonas Baggett <jonas17b@gmail.com>, Bodo Wiswe <trigger@triggers-world.de>, Julien Cristau <jcristau@debian.org>, Mehdi Dogguy <mehdi@debian.org>, Alexander Reichle-Schmehl <tolimar@debian.org>, Andrew Lee <ajqlee@debian.org>, pcmanfm@packages.qa.debian.org, Renaud Lacour <renaud@home-dn.net>
Subject: Re: pcmanfm wrongly deleted some files in a failed move operation
Date: Sun, 6 Jan 2013 13:02:46 +0200
    Hello!

John Paul Adrian Glaubitz has written on Saturday,  5 January, at 21:10:
>> I consider his proposal as the best solution for wheezy.
>> May I NMU to unstable?

>Since no one has replied to your suggestion yet, I would suggest that
>you make an NMU and upload it into DELAYED/10 which will give the
>maintainers enough time for review.

>This bug is a serious issue and an RC bug and should therefore not be
>delayed too long.

    And remember that is not a solution but a workaround which breaks one
of functions of pcmanfm and that breakage is another bug. Real fix will
be upgrade to the 1.1.1 version which will be possible only after wheezy
release (via backports).

    With best wishes.
    Andriy.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package libfm. (Wed, 06 Feb 2013 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Wed, 06 Feb 2013 18:15:03 GMT) Full text and rfc822 format available.

Message #146 received at 593607@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Cc: 593607@bugs.debian.org, control@bugs.debian.org
Subject: Re: libfm: diff for NMU version 0.1.17-2.1
Date: Wed, 6 Feb 2013 19:13:19 +0100
retitle 593607 source not erased when moving across filesystems
severity 593607 normal
thanks

On Sun, 6 Jan 2013 01:36:59 +0100
Nicolas Boulenguez <nicolas.boulenguez@free.fr> wrote:
> I've prepared an NMU for libfm (versioned as 0.1.17-2.1) and uploaded
> it to DELAYED/10, hoping to
> - ask a freeze exception for it, then
Given that libfm 0.1.17-2.1 migrated to testing at 2013-01-26, I
suppose you have merely forgotton to perform the other steps
you announced:

> - retitle the bug to "source not erased when moving across
> filesystems" and
> - lower its severity to "normal".
Therefore, I have done that for you.

-- 
Best regards,
Michael



Changed Bug title to 'source not erased when moving across filesystems' from 'pcmanfm wrongly deleted some files in a failed move operation' Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Wed, 06 Feb 2013 18:15:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'critical' Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Wed, 06 Feb 2013 18:15:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libfm' to 'src:libfm'. Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Fri, 05 Apr 2013 21:48:13 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.1.17-2. Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Fri, 05 Apr 2013 21:48:13 GMT) Full text and rfc822 format available.

Marked as found in versions libfm/0.1.17-2.1. Request was from Bob Bib <bobbibmpn@mail.ru> to control@bugs.debian.org. (Fri, 05 Apr 2013 21:48:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 12 Aug 2013 20:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Maintainers <lxde-debian@lists.lxde.org>:
Bug#593607; Package src:libfm. (Tue, 13 Aug 2013 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andrej N. Gritsenko" <andrej@rep.kiev.ua>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Maintainers <lxde-debian@lists.lxde.org>. (Tue, 13 Aug 2013 13:51:05 GMT) Full text and rfc822 format available.

Message #163 received at 593607@bugs.debian.org (full text, mbox):

From: "Andrej N. Gritsenko" <andrej@rep.kiev.ua>
To: 585626@bugs.debian.org, 590899@bugs.debian.org, 591178@bugs.debian.org, 593607@bugs.debian.org, 594674@bugs.debian.org, 615743@bugs.debian.org, 624017@bugs.debian.org, 649933@bugs.debian.org, 659970@bugs.debian.org, 660634@bugs.debian.org, 662000@bugs.debian.org, 676350@bugs.debian.org, 678289@bugs.debian.org, 679002@bugs.debian.org, 679043@bugs.debian.org, 683713@bugs.debian.org, 689317@bugs.debian.org, 693175@bugs.debian.org, 695519@bugs.debian.org, 698558@bugs.debian.org, 698629@bugs.debian.org, 699674@bugs.debian.org, 699675@bugs.debian.org, 703164@bugs.debian.org, 703165@bugs.debian.org, 705764@bugs.debian.org, 705765@bugs.debian.org, 706751@bugs.debian.org, 707610@bugs.debian.org, 713328@bugs.debian.org, 716724@bugs.debian.org
Subject: The issue is fixed.
Date: Tue, 13 Aug 2013 16:18:27 +0300
We believe this issue is completely fixed in 1.1.1 version of libfm and
pcmanfm. Those versions will be available shortly in unstable repository
of Debian. If you cannot afford using unstable repository but want to use
stable instead then yet still are two options for you:

1. Download sources from Debian archive site, then build the packages
yourself, then upgrade your packages.

2. Wait until upgrades come into wheezy-backports repository and then
upgrade your packages.

Thank you very much for your patience.



Marked Bug as done Request was from Mateusz Łukasik <mati75@linuxmint.pl> to control@bugs.debian.org. (Wed, 04 Dec 2013 22:03:07 GMT) Full text and rfc822 format available.

Notification sent to Renaud Lacour <renaud@home-dn.net>:
Bug acknowledged by developer. (Wed, 04 Dec 2013 22:03:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions libfm/1.1.1-1. Request was from Bob Bib <bobbibmpn@mail.ua> to control@bugs.debian.org. (Fri, 06 Dec 2013 03:12:05 GMT) Full text and rfc822 format available.

Reply sent to Bob Bib <bobbibmpn@mail.ua>:
You have taken responsibility. (Fri, 20 Dec 2013 02:18:16 GMT) Full text and rfc822 format available.

Notification sent to Renaud Lacour <renaud@home-dn.net>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 02:18:17 GMT) Full text and rfc822 format available.

Message #174 received at 593607-done@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ua>
To: 585626-done@bugs.debian.org, 590899-done@bugs.debian.org, 591178-done@bugs.debian.org, 593607-done@bugs.debian.org, 594674-done@bugs.debian.org, 615743-done@bugs.debian.org, 624017-done@bugs.debian.org, 649933-done@bugs.debian.org, 659925-done@bugs.debian.org, 659970-done@bugs.debian.org, 660634-done@bugs.debian.org, 662000-done@bugs.debian.org, 674828-done@bugs.debian.org, 676350-done@bugs.debian.org, 678289-done@bugs.debian.org, 679002-done@bugs.debian.org, 679043-done@bugs.debian.org, 683713-done@bugs.debian.org, 689317-done@bugs.debian.org, 693175-done@bugs.debian.org, 695519-done@bugs.debian.org, 698558-done@bugs.debian.org, 698629-done@bugs.debian.org, 699674-done@bugs.debian.org, 699675-done@bugs.debian.org, 703164-done@bugs.debian.org, 703165-done@bugs.debian.org, 704334-done@bugs.debian.org, 704355-done@bugs.debian.org, 705764-done@bugs.debian.org
Subject: Bug fixed in libfm 1.1.1-1
Date: Fri, 20 Dec 2013 06:13:44 +0400
Source: libfm
Source-Version: 1.1.1-1

(It's believed that the current bug was fixed in the 1.1.1-1 version of
src:libfm, which was quickly superseded by the 1.1.2-1 version,
while still waiting in NEW queue).


libfm (1.1.1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Moving package to priority optional.
  * Removing cache files if no other gio module is left on purge
    (Closes: #659925).

  [ Sergey Slipchenko ]
  * Adding manpage for libfm-pref-apps.

  [ Daniel Baumann ]
  * Updating GPL blurbs in copyright file.
  * Merging upstream version 1.0.

  [ Martin Bagge ]
  * Adding myself as co-maintainer.
  * Adding valac to build-depends.
  * Using upstream manpage for libfm-pref-apps instead of local version.

  [ Daniel Baumann ]
  * Renaming libfm1-dbg to proper unversioned name libfm-dbg.
  * Bumping soname to 3.

  [ Martin Bagge ]
  * Enabling debug symbols.
  * Updating symbols file for upstream version 1.0.
  * Enabling hardening.

  [ Paul Menzel ]
  * debian/rules: Enable parallel building.

  [ Andriy Grytsenko ]
  * Merging upstream version 1.1.1.
    (Closes: #624017, #659970, #660634, #662000, #674828, #676350, #679002,
    #693175, #695519, #699674, #705764, #705765, #706751, #707610, #716724,
    #699675, #703164, #703165, #591178, #698558, #678289, #585626, #649933,
    #679043, #683713, #689317, #594674, #593607, #590899, #698629, #713328,
    #704355, #615743, #704334)
  * Correcting dependency for libfm-data: Replaces to Conflicts.
  * Corrections for symbols files.
  * Adding libfm-gtk-data package - libfm-gtk3 will crash without it.
  * Adding version check for libfm-data dependency from libfm3.
  * Moving /usr/share/apport/package-hooks into libfm-data package.
  * Fixing wrong package name in dh_strip arguments.
  * Adding postinst script for libfm-dev.
  * Adding build dependency on libexif-dev.
  * Adding '-f' option for autoreconf.
  * Replace 'autoreconf -if' with dh_autoreconf.
  * Adding symbols that are added into 1.0.2 version.
  * Package libfm-dev split into libfm-dev and libfm-doc.
  * Adding libglib2.0-doc and libgtk-3-doc as build-depends.
  * Adding compatibility with menu-cache package of different ABI.
  * Adding suggestion from libfm-gtk3 onto libfm-gtk-bin.
  * Renaming libfm-gtk-bin package into libfm-tools.
  * Splitting package libfm-dev into libfm-dev and libfm-gtk-dev.
  * Splitting package libfm-dbg into libfm-dbg and libfm-gtk-dbg.
  * Replacing Conflicts with Breaks.
  * Removing autoreconf from dh parameters.
  * Removing Daniel Baumann from uploaders (Closes: #704334).
  * Removing patches which are included into upstream:
    - 02-keep_source_when_copying.patch
    - 03-automake1.12.patch

  [ Andrew Lee (李健秋) ]
  * debian/control: Added Andriy Grytsenko <andrej@rep.kiev.ua> in
    uploaders.
  * debian/control: added transitional package for libfm-tools.
  * debian/control: libfm-tools provides libfm-gtk-bin.
  * debian/control: added versioning breaks and replaces for libfm-tools.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 09 Aug 2013 03:31:47 +0800


----
Best wishes, Bob

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Jan 2014 07:25:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:41:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.